ASTMAN(1)

NAME
astman -- a client to asterisk's manager interface

SYNOPSIS

astman hostname

DESCRIPTION
astman This program is a full-screen (terminal) client for Asterisk's manager interface.

OPTIONS
hostname

The host name or IP address to connect to (TCP port 5038). If astman fails to connect it will exit immediately.

USAGE
If astman has successfully cunnected to the manager port it will prompt the user for a username and a secret (password) for the manager interface on the remote Asterisk manager interface. It will then be able to report existing channels (calls). You will then be able to redirect calls to or terminate them.

SEE ALSO
asterisk(8)

http://www.voip-info.org/wiki-Asterisk+astman

BUGS
The hostname does not default to localhost.

Impossible to use a port other than 5038.

The username and password cannot be defined from the command-line.

I mean, what's the point in a man page if the syntax is so simple?

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.